Users: Show
GET /apps/{app_id}/users/{id}Path Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | user id of the pulsate app |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/users/{id} \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "id": "67e58951a46a6fe933ce82a6", "age": null, "alias": "muzzz_hubspot", "created_at": "2025-03-27T17:22:25Z", "current_city": "Sharqpur", "current_country": "Pakistan", "current_location": [ 74.1885526444536, 31.3882441821993 ], "custom_attrs": { "industry": "Software", "saving_account_balance": 100000, "city": "New York" }, "custom_data": [ "city: New York", "industry: Software", "saving_account_balance: 100000" ], "devices": [], "email": "muzz@hubspot.com", "first_name": "Muz", "full_name": "Hubspot, Muz", "gender": null, "in_app_events": [], "last_name": "Hubspot", "location_tracking_enabled": true, "note": "", "phone": null, "opt_out_preferences": { "push": false, "email": false, "sms": false, "in_app": false }, "session": { "first_at": "2025-03-27T17:22:24+00:00", "last_at": "2025-03-27T17:34:02+00:00", "created_count": 2 }, "status": { "active": true, "deleted": false, "uninstalled": false, "unsubscribed": false }, "updated_at": "2025-03-27T17:36:09Z", "permissions": { "destroy": true, "subscribe": true, "unsubscribe": true }}
